clear all

% initial conditions
x0 = [1;0];
u0 = 0;
% combine initial conditions
z0 = [x0; u0];

% simulation horizon
T = 10;
J = 20;

% rule for jumps
% rule = 1 -> priority for jumps
% rule = 2 -> priority for flows
% rule = 3 -> no priority, random selection when simultaneous conditions
rule = 1;

% constants
global  m n ;
    n = 2; %# of state components
    m = 1; %# of input components   
% simulate
sim('HybridSimulator')

% plot solution
figure(1)
clf
subplot(2,1,1),plotflows(t,j,x)
grid on
ylabel('x')

subplot(2,1,2),plotjumps(t,j,x)
grid on
ylabel('x')

% plot hybrid arc
plotHybridArc(t,j,x)
xlabel('j')
ylabel('t')
zlabel('x')