function out = f2(z)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Matlab M-file              Author: Ricardo Sanfelice
%
% Project: Simulation of a hybrid system (interconnection)
%
% Name: f2.m
%
% Description: Flow map
%
% Version: 0.4
% Required files: - 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% constants
global  n m; 
    %n = # of state components
    %m = # of input components  
    
% state
x = z(1:n);
x1 = x(1);
x2 = x(2);

%input
u = z(n+1:n+m);
u1 = u(1);
u2 = u(2);
u3 = u(3);

% flow map
x1dot = x2;
x2dot = -x1-2*x2+u2;

out = [x1dot;x2dot];