function out = g1(z)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Matlab M-file               Author: Ricardo Sanfelice 
%
% Project: Simulation of a hybrid system (interconnection)
%
% Name: g1.m
%
% Description: Jump map
%
% Version: 0.4
% Required files: - 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% constants
global  n m;
    %n = # of state components
    %m = # of input components 

% state
x = z(1:n);
x1 = x(1);
x2 = x(2);

%input
u = z(n+1:n+m);
u1 = u(1);
u2 = u(2);
u3 = u(3);

% jump map
%if (x == 1)
%   xplus = 2;
%elseif (x == 2)
%   xplus = 1;
%else
%   xplus = x;
%end

x1plus=u1+0.1*x2^2;
x2plus=0.8*abs(x2)+u3;
%xplus = [x1plus;x2plus];


out = [x1plus;x2plus];