clear all

% initial conditions
x1_0 = [1; 0];
x2_0 = [.5; 0];
u1_0 = [x2_0(1);0;0];
u2_0 = [x1_0(1);0;0];

% combine initial conditions
z1_0 = [x1_0; u1_0];
z2_0 = [x2_0; u2_0];

% simulation horizon
T = 18;
J = 20;

% rule for jumps
% rule = 1 -> priority for jumps
% rule = 2 -> priority for flows
% rule = 3 -> no priority, random selection when simultaneous conditions
rule = 1;

% constants
global  m n ;
    n = 2; %# of state components
    m = 3; %# of input components   
% simulate
sim('ConnectedHybridSystems')

xi1 = x1(:,1);
xi2 = x1(:,2);
u1 = x1(:,3);
eta1 = x2(:,1);
eta2 = x2(:,2);
u2 = x2(:,3);

% Individual plots
figure(1) % H1 Flows and Jumps
clf
subplot(2,1,1),plotflows(t1,j1,xi1)
grid on
ylabel('\xi_1')

subplot(2,1,2),plotjumps(t1,j1,xi1)
grid on
ylabel('\xi_1')

figure(2) % H1 Velocity
clf
subplot(2,1,1),plotflows(t1,j1,xi2)
grid on
ylabel('\xi_2')

subplot(2,1,2),plotjumps(t1,j1,xi2)
grid on
ylabel('\xi_2')

figure(3) % H2 Flows and Jumps
clf
subplot(2,1,1),plotflows(t2,j2,eta1)
grid on
ylabel('\eta_1')

subplot(2,1,2),plotjumps(t2,j2,eta1)
grid on
ylabel('\eta_1')

figure(4) % H2 Velocity
clf
subplot(2,1,1),plotflows(t2,j2,eta2)
grid on
ylabel('\eta_2')

subplot(2,1,2),plotjumps(t2,j2,eta2)
grid on
ylabel('\eta_2')

figure(5) % H1 and H2, Flows and Jumps
clf
subplot(2,1,1),plotflows(t1,j1,xi1)
hold on
subplot(2,1,1),plotflows(t2,j2,eta1)

grid on
ylabel('\xi_1, \eta_1')

subplot(2,1,2),plotflows(t1,j1,xi2)
hold on
subplot(2,1,2),plotflows(t2,j2,eta2)

grid on
ylabel('\xi_2, \eta_2')