function [v] = D(z) 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Matlab M-file                Author: Ricardo Sanfelice
%
% Project: Simulation of a hybrid system (Dubins model)
%
%
% Name: D.m
%
% Description: Jump set
%
% Version: 0.4
% Required files: - 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% constants
global  n m;
    %n = # of state components
    %m = # of input components 

% state
x = z(1:n);
x1 = x(1);      %x-position
x2 = x(2);      %y-position
x3 = x(3);      %orientation angle
q = x(4);  

%input
u=z(n+1:n+m);
u1=u(1);

% q = 1 --> going left
% q = 2 --> going right

 if (x1 >= 1) && (q == 2)  % jump condition
     v = 1;  % report jump
 elseif (x1 <= -1) && (q == 1)  % jump condition
     v = 1;   % report jump
 else 
     v = 0; % do not report jump
 end