function out = f(z)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Matlab M-file              Author: Ricardo Sanfelice
%
% Project: Simulation of a hybrid system (Dubins model)
%
% Name: f.m
%
% Description: Flow map
%
% Version: 0.4
% Required files: - 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% constants
global  n m; 
    % n = # of state components
    % m = # of input components  

v = 1; %tangential velocity

% state
x = z(1:n);
x1 = x(1);      %x-position
x2 = x(2);      %y-position
x3 = x(3);      %orientation angle
q = x(4);       

%input
u = z(n+1:n+m);
u1 = u(1);    

% q = 1 --> going left
% q = 2 --> going right

if q == 1
    r = 3*pi/4;
elseif q == 2
    r = pi/4;
else
    r = 0;
end

% flow map
%xdot=f(x,u);
x1dot = v*cos(x3);  %tangential velocity in x-direction
x2dot = v*sin(x3);  %tangential velocity in y-direction
x3dot = -x3 + r;      %angular velocity
qdot = 0;

out = [x1dot;x2dot;x3dot;qdot];