function out = g(z)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Matlab M-file                Author: Ricardo Sanfelice
%
% Project: Simulation of a hybrid system (Dubins model)
%
%
% Name: g.m
%
% Description: Jump map
%
% Version: 0.4
% Required files: - 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% constants
global  n m;
    %n = # of state components
    %m = # of input components 

% state
x = z(1:n);
x1 = x(1);      %x-position
x2 = x(2);      %y-position
x3 = x(3);      %orientation angle
q = x(4);  

%input
u=z(n+1:n+m);
u1=u(1);

% q = 1 --> going left
% q = 2 --> going right

x1plus=x1;
x2plus=x2;
x3plus=x3;
qplus=q;

% jump map
if (x1 >= 1) && (q == 2)
   qplus = 3-q;
elseif (x1 <= -1) && (q == 1)
   qplus = 3-q;
else
    qplus = 0;
end

out = [x1plus;x2plus;x3plus;qplus];