clear all

% initial conditions
x0 = [cos(pi/4);sin(pi/4);pi/4;2];
u0 = [0];
% combine initial conditions
z0 = [x0; u0];

% simulation horizon
T = 15;
J = 20;

% rule for jumps
% rule = 1 -> priority for jumps
% rule = 2 -> priority for flows
% rule = 3 -> no priority, random selection when simultaneous conditions
rule = 1;

% constants
global  m n;
    n = 4; %# of state components
    m = 1; %# of input components
    
% simulate
sim('HybridSimulator')

% plot solution
figure(1)
clf
subplot(2,1,1),plotflows(t,j,x)
grid on
ylabel('x')

subplot(2,1,2),plotjumps(t,j,x)
grid on
ylabel('x')


% plot sets
%figure(2),clf,plotC(-1,10,100), hold on, plotD(-1,10,100)


% plot hybrid arc
plotHybridArc(t,j,x)
xlabel('j')
ylabel('t')
zlabel('x')

